// TODO: figure out why this export doesn't work well
// export { Blockchain, FungibleAssetOnChain } from '@onomy/frontend-relay-types';

export type Blockchain = {
  name: string;
};

export type BlockchainAddress = {
  chain: Blockchain;
  id: string;
};

export type FungibleAssetOnChain = {
  chain: Blockchain;
  id: string;
};

export { CosmosClient, OnomyClient, OnexClient } from '@onomy/client';
export { useAsyncStatuses, useAsyncProcess, useAsyncValue, useAsyncPoll } from '@onomy/react-utils';

export type {
  FungibleAssetWithMeta,
  DetailedDelegationData,
  DetailedFungibleAssetBalance,
  DetailedFungibleAssetOnChain,
} from '@onomy/hub';

export type { DetailedProposalData } from '@onomy/react-hub';
export {
  AmountDisplay,
  FiatValueDisplay,
  BigNumDisplay,
  RatioAsPercentage,
  TruncatedAddress,
  useWalletsForChain,
  useConnectedWallet,
  useAddress,
  serializeAsset,
  serializeBalance,
  serializeBalances,
} from '@onomy/react-hub';

export type { OnomyEcosystemConfigName, OnomyEcosystemConfig } from './OnomyEcosystemConfigs';
export { setOnomyEcosystemConfig } from './OnomyEcosystemConfigs';

export { useOnexTradingViewData } from './exchange/TheGraph';
export { useOnexDayTradeFrame } from './exchange/TheGraph';
export { useIndexedOrderBookForm } from './exchange/TheGraph/useOrderBookData';

export * as governanceUtils from './governanceUtils';

export * from './wallet';
export * from './staking';
export * from './gov';
export * from './exchange';
export * from './bridge';
